repos:
  - repo: https://github.com/ibm/detect-secrets
    # Running "pre-commit autoupdate" automatically updates rev to latest tag
    rev: 0.13.1+ibm.62.dss
    hooks:
      - id: detect-secrets # pragma: whitelist secret
        # Add options for detect-secrets-hook binary. You can run `detect-secrets-hook --help` to list out all possible options.
        # You may also run `pre-commit run detect-secrets` to preview the scan result.
        # when "--baseline" without "--use-all-plugins", pre-commit scan with just plugins in baseline file
        # when "--baseline" with "--use-all-plugins", pre-commit scan with all available plugins
        # add "--fail-on-unaudited" to fail pre-commit for unaudited potential secrets
        # You may add additional options as needed
        args: [--baseline, .secrets.baseline, --use-all-plugins, --fail-on-unaudited, --suppress-unscannable-file-warnings]
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v5.0.0
    hooks:
      - id: check-yaml
      - id: check-json
      - id: check-xml
      - id: end-of-file-fixer
      - id: trailing-whitespace
        exclude: ^UpdateSet/.*xml
